<?php
session_start();
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title></title>

        <style type="text/css">

            body { background-color: #CECFFF; }

            table, tr, td, th, thead, tbody {
            border: 1px solid black;
            border-collapse: collapse;
            }

         </style>


    </head>



<link rel="stylesheet" type="text/css" href="stiluslap.css">

    <body bgcolor="CECFFF">



      <?php
        include("connect.php");
        $kapcsolat=connect();





if($_SESSION['felhasznalonev']!=""){

        $datum_tomb = getdate();
        $nev=$_SESSION['felhasznalonev'];
        $szoveg=$_POST['hozzaszolas'];
        $szerk=$_POST['hozzaszolasszerk'];
        $tabla=$_POST['hely'];
        $idobelyeg=time();
        $id=$_POST['id'];

        if($szoveg!=""){

        $string_tomb = explode("\n", $szoveg);
        $szoveg = implode("<br>", $string_tomb);

        $datum="$datum_tomb[year]-$datum_tomb[mon]-$datum_tomb[mday] $datum_tomb[hours]:$datum_tomb[minutes]:$datum_tomb[seconds]";

        if($_POST['id']=="")
        $parancs = "INSERT INTO $tabla (nev, hozzaszolas, datum, idobelyeg) VALUES ( '$nev', '$szoveg',   '$datum', $idobelyeg  )";
        else
        $parancs = "INSERT INTO $tabla (nev, hozzaszolas, datum, idobelyeg, id) VALUES ( '$nev', '$szoveg',   '$datum', $idobelyeg, $id  )";
        mysql_query( $parancs, $kapcsolat )
        or die ( "Nem lehet adatot hozzaadni a $tabla tablahoz: " .mysql_error() );
        }



        elseif($szerk!=""){

        $idobely=$_POST['idobely'];
        $string_tomb = explode("\n", $szerk);
        $szerk = implode("<br>", $string_tomb);

        $datum="$datum_tomb[year]-$datum_tomb[mon]-$datum_tomb[mday] $datum_tomb[hours]:$datum_tomb[minutes]:$datum_tomb[seconds]";

        $parancs = "UPDATE $tabla SET hozzaszolas = '$szerk' where idobelyeg='$idobely' and nev='$nev' ";
        mysql_query( $parancs, $kapcsolat )
        or die ( "Nem lehet adatot hozzaadni a $tabla tablahoz: " .mysql_error() );
        }





        mysql_close( $kapcsolat );
        ?>




        <form action="forum.php" name="urlap" method="POST">
            Üzenete el lett küldve. Folyatatáshoz kattintson a 'Tovább' gombra...
            <br>
            <input type="button" name="gomb" value='Tovább' onclick='javascript: urlap.submit() '>
        </form>

<?php

}

else print "Új hozzászólás küldéséhez be kell jelentkezned!";


?>





    </body>
</html>


